<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title'] = 'Моя лента &amp; '.$_SERVER['HTTP_HOST'];
include_once 'sys/inc/thead.php';

title();
aut();


if(!isset($user)){
echo '<div class="err">Доступ закрыт.</div>';
}else{

mysql_query("UPDATE `lenta` SET `read` = '1' WHERE `id_kont` = '".$user['id']."' AND `read` = '0'");
echo '<table class="post">';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id_kont` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if($k_post==0){
	echo '<div class="chat2">Нет новых событий!</div>';
}

$q=mysql_query("SELECT * FROM `lenta` WHERE `id_kont` = '".$user['id']."' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]'"));

	echo "<tr>\n";

if ($set['set_show_icon']==2) {
	echo '<td class="icon48" rowspan="2">';
avatar($ank[id]);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "<img src='/style/themes/green/graph/star.png' alt='' />";
echo "  </td>\n";
}

	echo "<td class='menu'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a>&nbsp; ".vremja($post[time])." <a href='lenta_del.php?del=$post[id]' title='Удалить'><img src='style/settings.png'></img></a>
| <a href='lenta_set.php?id=$ank[id]' title='Настройки ленты'><img src='style/settings.png'></img></a></td></tr><tr>";
if ($set['set_show_icon']==1)echo "  <td class='chat' colspan='2'>\n"; else echo "  <td class='chat'>\n";

echo ''.output_text($post['msg']).'</td></tr>';
}
echo '</table>';


}

echo "<div class='foot'>";
echo "&#187; <a href='lenta_del.php?del_all=$user[id]'>Очистить ленту</a>";
echo '</div>';

if($k_page>1){
	str("lenta.php?id=".$user['id']."&amp;",$k_page,$page);
}
include_once 'sys/inc/tfoot.php';
?>
